WiFi Networks
Update a Wi-Fi network
Partially update a Wi-Fi network in the authorized organization. Aggregation not available for Wi-Fi networks.
PATCH
/
v2
/
organizations
/
{organization_id}
/
wifi-networks
/
{wifi_network_id}
curl --request PATCH \
--url https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_reliable": true
}
'{
"id": "d4e5f6a7-b8c9-0123-def0-234567890123",
"ssid": "Guest-WiFi",
"organization_id": "507f1f77bcf86cd799439011",
"public_ip": "203.0.113.10",
"isp": "Example ISP",
"city": "Madrid",
"country": "ES",
"is_reliable": true,
"source_workspace_id": "64f0c2a1b2d3e4f506070899",
"network_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier.
Required string length:
24Pattern:
^[0-9a-f]{24}$Wi-Fi network identifier.
Body
application/json
Response
Wi-Fi network updated successfully.
Identifier of the Wi‑Fi network (FWS WifiNetwork.Oid).
The SSID of the Wi‑Fi network.
Associated Portal organization Id.
Required string length:
24Pattern:
^[0-9a-f]{24}$Related public IP address.
Internet Service Provider of the related public IP.
City associated with the public IP.
Country associated with the public IP.
Indicates if the Wi‑Fi network is marked as reliable.
Workspace Portal ID associated with the source device. Null if no match
Required string length:
24Pattern:
^[0-9a-f]{24}$Identifier of the related network (FWS Network.Oid).
⌘I
curl --request PATCH \
--url https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_reliable": true
}
'{
"id": "d4e5f6a7-b8c9-0123-def0-234567890123",
"ssid": "Guest-WiFi",
"organization_id": "507f1f77bcf86cd799439011",
"public_ip": "203.0.113.10",
"isp": "Example ISP",
"city": "Madrid",
"country": "ES",
"is_reliable": true,
"source_workspace_id": "64f0c2a1b2d3e4f506070899",
"network_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}